> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball/rest-api-1/live-data-scenarios/turnover.md).

# Turnover

This details a fixture with a turnover action (fixtureActionTypeId:201) with the subtypes below:<br>

* 20001: Stolen
* 20002: Shot Clock Violation
* 20003: Back Court Violation
* 20004: Travelling
* 20005: Double Dribble
* 20006: Out Of Bounds
* 20007: 3 Second Violation

## **Stolen (20001)**

```
{
  "fixtureAction": {
    "actionId": "a9b40349-0ef2-486a-ac2a-61a10926bc30",
    "clockTime": "08:02",
    "fixtureActionSubType": "Stolen",
    "fixtureActionSubTypeId": 20001,
    "fixtureActionType": "Turnover",
    "fixtureActionTypeId": 201,
    "fixtureId": "ee718764-e8de-40ba-a09a-4c64117a7310",
    "fixtureSeqNum": 161,
    "period": 1,
    "player": {
      "id": "b9a8897d-da95-4c2c-809f-404369a737a3",
      "name": "Amadeo  Tessitori"
    },
    "relatedFixtureActionIds": [
      "f3469e88-7f6f-4f61-9414-402a5938d754"
    ],
    "sendType": "Confirmed",
    "sendTypeId": 5,
    "team": {
      "homeTeam": false,
      "id": "75fc57e4-657a-4b3d-9165-7ae7bddf9dbe",
      "name": "VSB123"
    },
    "timelineSequence": 1.0000001178514968,
    "timestamp": "2024-03-11T18:07:54.527394Z"
  },
  "fixtureSummary": {
    "awayTeamScore": 11,
    "collectionStatus": "CollectingLive",
    "currentClockState": "stopped",
    "currentClockTime": "00:00",
    "currentPeriod": 1,
    "currentStatus": "Live",
    "finished": false,
    "homeTeamScore": 10,
    "isHomeTeamInPossesion": true,
    "isTied": false,
    "periods": [
      {
        "awayTeamPeriodScore": 11,
        "awayTeamScore": 11,
        "end": null,
        "homeTeamPeriodScore": 10,
        "homeTeamScore": 10,
        "id": 1,
        "label": "1st quarter",
        "start": "2024-03-11T18:00:36",
        "type": "Regular"
      }
    ]
  },
  "traceId": "d66b55fe9743463d36a9d5c0db2809f6",
  "version": 3
}
```

## Shot Clock Violation (20002)

```
{
  "fixtureAction": {
    "actionId": "bb8be455-94de-4c72-bf62-fae528411119",
    "clockTime": "08:02",
    "fixtureActionSubType": "Shot Clock Violation",
    "fixtureActionSubTypeId": 20002,
    "fixtureActionType": "Turnover",
    "fixtureActionTypeId": 201,
    "fixtureId": "ee718764-e8de-40ba-a09a-4c64117a7310",
    "fixtureSeqNum": 165,
    "period": 1,
    "player": {
      "id": "284081b2-a313-48ba-a649-d64a18e5dfbb",
      "name": "Jerian Grant"
    },
    "relatedFixtureActionIds": [],
    "sendType": "Confirmed",
    "sendTypeId": 5,
    "team": {
      "homeTeam": true,
      "id": "aa67fcd8-8616-4756-8786-8d1a8038974e",
      "name": "EA7 Emporio Armani Milan Treaning"
    },
    "timelineSequence": 1.0000001178514972,
    "timestamp": "2024-03-11T18:08:10.351134Z"
  },
  "fixtureSummary": {
    "awayTeamScore": 11,
    "collectionStatus": "CollectingLive",
    "currentClockState": "stopped",
    "currentClockTime": "00:00",
    "currentPeriod": 1,
    "currentStatus": "Live",
    "finished": false,
    "homeTeamScore": 10,
    "isHomeTeamInPossesion": false,
    "isTied": false,
    "periods": [
      {
        "awayTeamPeriodScore": 11,
        "awayTeamScore": 11,
        "end": null,
        "homeTeamPeriodScore": 10,
        "homeTeamScore": 10,
        "id": 1,
        "label": "1st quarter",
        "start": "2024-03-11T18:00:36",
        "type": "Regular"
      }
    ]
  },
  "traceId": "5e06c514df49aac5aaaa68c696f450fc",
  "version": 3
}
```

## Back Court Violation (20003)

```
{
  "fixtureAction": {
    "actionId": "cc8c2c51-1b52-4a3f-9182-8d4b0703521c",
    "clockTime": "08:02",
    "fixtureActionSubType": "Back Court Violation",
    "fixtureActionSubTypeId": 20003,
    "fixtureActionType": "Turnover",
    "fixtureActionTypeId": 201,
    "fixtureId": "ee718764-e8de-40ba-a09a-4c64117a7310",
    "fixtureSeqNum": 167,
    "period": 1,
    "player": {
      "id": "9ab78b33-2d49-4030-92a9-9c87bc683c05",
      "name": "Marco Belinelli"
    },
    "relatedFixtureActionIds": [],
    "sendType": "Confirmed",
    "sendTypeId": 5,
    "team": {
      "homeTeam": false,
      "id": "75fc57e4-657a-4b3d-9165-7ae7bddf9dbe",
      "name": "VSB123"
    },
    "timelineSequence": 1.0000001178514974,
    "timestamp": "2024-03-11T18:08:14.758863Z"
  },
  "fixtureSummary": {
    "awayTeamScore": 11,
    "collectionStatus": "CollectingLive",
    "currentClockState": "stopped",
    "currentClockTime": "00:00",
    "currentPeriod": 1,
    "currentStatus": "Live",
    "finished": false,
    "homeTeamScore": 10,
    "isHomeTeamInPossesion": true,
    "isTied": false,
    "periods": [
      {
        "awayTeamPeriodScore": 11,
        "awayTeamScore": 11,
        "end": null,
        "homeTeamPeriodScore": 10,
        "homeTeamScore": 10,
        "id": 1,
        "label": "1st quarter",
        "start": "2024-03-11T18:00:36",
        "type": "Regular"
      }
    ]
  },
  "traceId": "93c719fde7c0fc194511d0b998b32eaa",
  "version": 3
}
```

### Travelling (20004)

```
{
  "fixtureAction": {
    "actionId": "40976935-0434-42b1-8fd1-eb9ae74076d4",
    "clockTime": "08:02",
    "fixtureActionSubType": "Travelling",
    "fixtureActionSubTypeId": 20004,
    "fixtureActionType": "Turnover",
    "fixtureActionTypeId": 201,
    "fixtureId": "ee718764-e8de-40ba-a09a-4c64117a7310",
    "fixtureSeqNum": 169,
    "period": 1,
    "player": {
      "id": "d12c4186-ce84-4e2d-a167-d11c7285d8a8",
      "name": "Tomasso Baldasso"
    },
    "relatedFixtureActionIds": [],
    "sendType": "Confirmed",
    "sendTypeId": 5,
    "team": {
      "homeTeam": true,
      "id": "aa67fcd8-8616-4756-8786-8d1a8038974e",
      "name": "EA7 Emporio Armani Milan Treaning"
    },
    "timelineSequence": 1.0000001178514977,
    "timestamp": "2024-03-11T18:08:20.345336Z"
  },
  "fixtureSummary": {
    "awayTeamScore": 11,
    "collectionStatus": "CollectingLive",
    "currentClockState": "stopped",
    "currentClockTime": "00:00",
    "currentPeriod": 1,
    "currentStatus": "Live",
    "finished": false,
    "homeTeamScore": 10,
    "isHomeTeamInPossesion": false,
    "isTied": false,
    "periods": [
      {
        "awayTeamPeriodScore": 11,
        "awayTeamScore": 11,
        "end": null,
        "homeTeamPeriodScore": 10,
        "homeTeamScore": 10,
        "id": 1,
        "label": "1st quarter",
        "start": "2024-03-11T18:00:36",
        "type": "Regular"
      }
    ]
  },
  "traceId": "1df68c7a3b16ff18226e2cc494941e41",
  "version": 3
}
```

## Double Dribble (20005)

```
{
  "fixtureAction": {
    "actionId": "922c73ce-0663-4850-aa5c-46ff64af39eb",
    "clockTime": "08:02",
    "fixtureActionSubType": "Double Dribble",
    "fixtureActionSubTypeId": 20005,
    "fixtureActionType": "Turnover",
    "fixtureActionTypeId": 201,
    "fixtureId": "ee718764-e8de-40ba-a09a-4c64117a7310",
    "fixtureSeqNum": 171,
    "period": 1,
    "player": {
      "id": "15c530b9-ccd6-451c-9a4e-902728477575",
      "name": "Jakarr Sampson"
    },
    "relatedFixtureActionIds": [],
    "sendType": "Confirmed",
    "sendTypeId": 5,
    "team": {
      "homeTeam": false,
      "id": "75fc57e4-657a-4b3d-9165-7ae7bddf9dbe",
      "name": "VSB123"
    },
    "timelineSequence": 1.000000117851498,
    "timestamp": "2024-03-11T18:08:24.827671Z"
  },
  "fixtureSummary": {
    "awayTeamScore": 11,
    "collectionStatus": "CollectingLive",
    "currentClockState": "stopped",
    "currentClockTime": "00:00",
    "currentPeriod": 1,
    "currentStatus": "Live",
    "finished": false,
    "homeTeamScore": 10,
    "isHomeTeamInPossesion": true,
    "isTied": false,
    "periods": [
      {
        "awayTeamPeriodScore": 11,
        "awayTeamScore": 11,
        "end": null,
        "homeTeamPeriodScore": 10,
        "homeTeamScore": 10,
        "id": 1,
        "label": "1st quarter",
        "start": "2024-03-11T18:00:36",
        "type": "Regular"
      }
    ]
  },
  "traceId": "08e690b392d2b3e4d942146025f33213",
  "version": 3
}
```

## Out Of Bounds (20006)

```
{
  "fixtureAction": {
    "actionId": "2fe4d5c2-9e20-452f-a07a-1c3e39a56f82",
    "clockTime": "08:02",
    "fixtureActionSubType": "Out Of Bounds",
    "fixtureActionSubTypeId": 20006,
    "fixtureActionType": "Turnover",
    "fixtureActionTypeId": 201,
    "fixtureId": "ee718764-e8de-40ba-a09a-4c64117a7310",
    "fixtureSeqNum": 173,
    "period": 1,
    "player": {
      "id": "f2630c7c-7d26-4f0e-8d7a-42e0ec2a4174",
      "name": "Giampaolo Ricci"
    },
    "relatedFixtureActionIds": [],
    "sendType": "Confirmed",
    "sendTypeId": 5,
    "team": {
      "homeTeam": true,
      "id": "aa67fcd8-8616-4756-8786-8d1a8038974e",
      "name": "EA7 Emporio Armani Milan Treaning"
    },
    "timelineSequence": 1.000000117851498,
    "timestamp": "2024-03-11T18:08:28.717070Z"
  },
  "fixtureSummary": {
    "awayTeamScore": 11,
    "collectionStatus": "CollectingLive",
    "currentClockState": "stopped",
    "currentClockTime": "00:00",
    "currentPeriod": 1,
    "currentStatus": "Live",
    "finished": false,
    "homeTeamScore": 10,
    "isHomeTeamInPossesion": false,
    "isTied": false,
    "periods": [
      {
        "awayTeamPeriodScore": 11,
        "awayTeamScore": 11,
        "end": null,
        "homeTeamPeriodScore": 10,
        "homeTeamScore": 10,
        "id": 1,
        "label": "1st quarter",
        "start": "2024-03-11T18:00:36",
        "type": "Regular"
      }
    ]
  },
  "traceId": "9893a06ed5a2191f72131d18122d17a5",
  "version": 3
}
```

## 3 Second Violation (20007)

```
{
  "fixtureAction": {
    "actionId": "5e427bdb-2197-4de7-8e01-170b17e5f80c",
    "clockTime": "08:01",
    "fixtureActionSubType": "3 Second Violation",
    "fixtureActionSubTypeId": 20007,
    "fixtureActionType": "Turnover",
    "fixtureActionTypeId": 201,
    "fixtureId": "ee718764-e8de-40ba-a09a-4c64117a7310",
    "fixtureSeqNum": 176,
    "period": 1,
    "player": {
      "id": "15c530b9-ccd6-451c-9a4e-902728477575",
      "name": "Jakarr Sampson"
    },
    "relatedFixtureActionIds": [],
    "sendType": "Confirmed",
    "sendTypeId": 5,
    "team": {
      "homeTeam": false,
      "id": "75fc57e4-657a-4b3d-9165-7ae7bddf9dbe",
      "name": "VSB123"
    },
    "timelineSequence": 1.000000118452934,
    "timestamp": "2024-03-11T18:08:34.407827Z"
  },
  "fixtureSummary": {
    "awayTeamScore": 11,
    "collectionStatus": "CollectingLive",
    "currentClockState": "running",
    "currentClockTime": "00:00",
    "currentPeriod": 1,
    "currentStatus": "Live",
    "finished": false,
    "homeTeamScore": 10,
    "isHomeTeamInPossesion": true,
    "isTied": false,
    "periods": [
      {
        "awayTeamPeriodScore": 11,
        "awayTeamScore": 11,
        "end": null,
        "homeTeamPeriodScore": 10,
        "homeTeamScore": 10,
        "id": 1,
        "label": "1st quarter",
        "start": "2024-03-11T18:00:36",
        "type": "Regular"
      }
    ]
  },
  "traceId": "79a60de76da404b83dd9460bec69def7",
  "version": 3
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/basketball/rest-api-1/live-data-scenarios/turnover.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
